Bug 1308581 - Review Request: python-pybeam - Python module to parse Erlang BEAM files
Review Request: python-pybeam - Python module to parse Erlang BEAM files
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 09:45 EST by Peter Lemenkov
Modified: 2016-02-26 14:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:24:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2016-02-15 09:45:51 EST
Spec URL: https://peter.fedorapeople.org/python-pybeam.spec
SRPM URL: https://peter.fedorapeople.org/python-pybeam-0.3.2-1.fc23.src.rpm
Description: Python module to parse Erlang BEAM files.
Fedora Account System Username: peter

Few notes - this is still on a early stage of development, but we already can do some valuable things with this library (such as static analysis).
Comment 1 Randy Barlow 2016-02-16 10:51:44 EST
Approved, so long as you fix the things listed in the MUST section below. I've added an rbarlow section as well, but those are all optional. Feel free to ignore them if you prefer.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
     Note: The upstream repository does have a LICENSE file:
     https://github.com/matwey/pybeam/blob/master/LICENSE
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/rbarlow/1308581-python-pybeam/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
     Note: Add the license file to the python2 and 3 versions.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: python2-pybeam (description), python3-pybeam
     (description)
     Note: I think you can use a global to set the description once, and
     then use that as a macro throughout. I think the way this is done
     might not work.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

rbarlow (you can ignore these if you want):
[!]: Consider using python2_sitelib instead of python_sitelib.
[!]: It's a preference thing, but I prefer the files section to be more
     specific about what is being matched. No worries if you like this
     way better.
[!]: There's a lint warning about the Group tag. AFAIK, Group is no longer
     needed or used, so I think you can just drop if if you want.
[!]: This spec file mixes spaces and tabs.
[!]: Consider adding the upstream Readme with the doc macro.
[!]: Some things are probably easier to do if you package from github
     instead of PyPi (like the LICENSE and Readme files).

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pybeam , python3-pybeam
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-pybeam-0.3.2-1.fc24.noarch.rpm
          python3-pybeam-0.3.2-1.fc24.noarch.rpm
          python-pybeam-0.3.2-1.fc24.src.rpm
python2-pybeam.noarch: W: unexpanded-macro %description -l C %{description}
python2-pybeam.noarch: W: non-standard-group Development/Languages/Python
python2-pybeam.noarch: W: no-documentation
python3-pybeam.noarch: W: unexpanded-macro %description -l C %{description}
python3-pybeam.noarch: W: non-standard-group Development/Languages/Python
python3-pybeam.noarch: W: no-documentation
python-pybeam.src: W: non-standard-group Development/Languages/Python
python-pybeam.src:7: W: mixed-use-of-spaces-and-tabs (spaces: line 7, tab: line 6)
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
python3-pybeam.noarch: W: unexpanded-macro %description -l C %{description}
python3-pybeam.noarch: W: non-standard-group Development/Languages/Python
python3-pybeam.noarch: W: no-documentation
python2-pybeam.noarch: W: unexpanded-macro %description -l C %{description}
python2-pybeam.noarch: W: non-standard-group Development/Languages/Python
python2-pybeam.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-pybeam (rpmlib, GLIBC filtered):
    python(abi)
    python3-construct
    python3-six

python2-pybeam (rpmlib, GLIBC filtered):
    python(abi)
    python-construct
    python-six



Provides
--------
python3-pybeam:
    python3-pybeam

python2-pybeam:
    python2-pybeam



Source checksums
----------------
https://pypi.python.org/packages/source/p/pybeam/pybeam-0.3.2.tar.gz :
  CHECKSUM(SHA256) this package     : 62ce58db02986bc5bb8b208b77b77f72d8d44a1cb4c6e2558088af05f882a32c
  CHECKSUM(SHA256) upstream package : 62ce58db02986bc5bb8b208b77b77f72d8d44a1cb4c6e2558088af05f882a32c


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1308581
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Peter Lemenkov 2016-02-16 11:12:45 EST
Thanks!

(In reply to Randy Barlow from comment #1)
> [!]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
>      Note: The upstream repository does have a LICENSE file:
>      https://github.com/matwey/pybeam/blob/master/LICENSE
> [!]: License file installed when any subpackage combination is installed.
>      Note: Add the license file to the python2 and 3 versions.

Done. Apparently we uploaded to PyPi wrongly packaged tarball. I switched to the one from GitHub.

> [!]: Macros in Summary, %description expandable at SRPM build time.
>      Note: Macros in: python2-pybeam (description), python3-pybeam
>      (description)
>      Note: I think you can use a global to set the description once, and
>      then use that as a macro throughout. I think the way this is done
>      might not work.

Good catch. Indeed it didn't work this way. I just copied description text everywhere.

> [!]: Consider using python2_sitelib instead of python_sitelib.

Done. Thanks for the tip!

> [!]: It's a preference thing, but I prefer the files section to be more
>      specific about what is being matched. No worries if you like this
>      way better.

I copied it as is across the packages. I'd prefer this way (to simplify a packager's life a little more). It doesnn't harm anyone anyway :)

> [!]: There's a lint warning about the Group tag. AFAIK, Group is no longer
>      needed or used, so I think you can just drop if if you want.

I changed it to more standard. I prefer to keep this field for a while.

> [!]: This spec file mixes spaces and tabs.

Done!

> [!]: Consider adding the upstream Readme with the doc macro.

Done.

> [!]: Some things are probably easier to do if you package from github
>      instead of PyPi (like the LICENSE and Readme files).

Done.

Thanks for reviewing this!
Comment 3 Gwyn Ciesla 2016-02-16 13:53:38 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pybeam
Comment 4 Fedora Update System 2016-02-17 01:51:37 EST
python-pybeam-0.3.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a319fb7fff
Comment 5 Fedora Update System 2016-02-17 17:31:34 EST
python-pybeam-0.3.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a319fb7fff
Comment 6 Fedora Update System 2016-02-26 14:24:25 EST
python-pybeam-0.3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.